<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ARTinBlockchain - Investor</title>

    <link href="css/bootstrap.min.css" rel="stylesheet">

  </head>
  <body>
    <div class="container text-center" style="width: 850px;">
      <h1 class="text-center" id="containerTitle">ARTinBlockchain - Investor</h1>
      <br/>
      <div id="loader">
        <p class="text-center">Loading...</p>
      </div>
      <div id="content" style="display: none;">
        <input type="button" id="ownedButton" value="Show owned artworks" onclick="MemberApp.showOwnedArtworks();">
        <input type="button" id="authRequestsButton" value="Show authentication requests" onclick="InvestorApp.showAuthRequests();">
        <div id="artworks">
          <h3 class="text-center" id="titleArtworks">Artworks you own</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Id</th>
                <th scope="col">Artist</th>
                <th scope="col">Title</th>
                <th scope="col">Year</th>
                <th scope="col">Medium</th>
                <th scope="col">Dimensions</th>
                <th scope="col">Authentications</th>
                <th scope="col">Photo</th>
              </tr>
            </thead>
            <tbody id="artworksList">
            </tbody>
          </table>
        </div>
        <div id="artworksToAuthenticate">
          <h3 class="text-center">Your authentication requests</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Photo</th>
                <th scope="col">Proposals</th>
              </tr>
            </thead>
            <tbody id="toAuthenticateList">
            </tbody>
          </table>
        </div>
        <hr/>
        <input type="button" id="onSaleButton" value="Show artworks on sale" onclick="InvestorApp.showArtworksOnSale();">
        <div id="articles">
          <h3>Artworks on sale</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Id</th>
                <th scope="col">Price(Ether)</th>
                <th scope="col">Artist</th>
                <th scope="col">Title</th>
                <th scope="col">Year</th>
                <th scope="col">Medium</th>
                <th scope="col">Dimensions</th>
                <th scope="col">Authentications</th>
                <th scope="col">Photo</th>
              </tr>
            </thead>
            <tbody id="articlesList">
            </tbody>
          </table>
        </div>
        <hr/>
        <div id="memberOps" class="text-left">
          <button type="submit"  onclick="window.location.href='https://ropsten.etherscan.io/token/0x7a5d6593885e5d84acb0ad1c72977294ec961d11'"class="btn btn-primary">Track provenance</button>
          <button type="submit" onclick="window.location.href='https://ropsten.etherscan.io/address/0x4d89583d0eff1f5d424aab60d20c38e1f6719ab4#events'" class="btn btn-primary">Track prices</button>
          <form onSubmit="InvestorApp.askForAuthentication(event); return false;"> <!-- return false evita che la pagina faccia il refresh -->
            <br>
            <div class="row"><b>Ask for authentication of this artwork:</b></div>
            <br>         
            <div class="row">
              <div class="col-2">Photo:</div>
              <div class="col-2"><input type="file" id="imageUpload" name="photo"></div>
            </div>
            <br>
            <div class="row"><input type="submit" value="Invia"></div>      
            <br>  
          </form>
          <br>

          <form id="showProducedArtworks">
            Show produced artworks of a selected address:<br>
            <input type="text" placeholder="address">
            <input type="button" value="Show" onclick="MemberApp.showProducedArtworks()"><br><br>
          </form>

          <form id="sellOnMarketplace" onSubmit="MemberApp.sellOnMarketplace(); return false;">
            Sell on marketplace:<br>
            <input type="text" placeholder="artworkId">
            <input type="text" placeholder="price(Ether)">
            <input type="submit" value="Submit"><br><br>
          </form>

          <form id="sellTo" onSubmit="MemberApp.sellTo(); return false;">
            Sell to a designated address:<br>
            <input type="text" placeholder="artworkId">
            <input type="text" placeholder="price(Ether)">
            <input type="text" placeholder="address">
            <input type="checkbox"><i>Private selling</i><br>
            <input type="submit" value="Submit"><br><br>
          </form>

          <form id="entrust" onSubmit="MemberApp.entrust(); return false;">
            Entrust your artwork to a broker:<br>
            <input type="text" placeholder="artworkId">
            <input type="text" placeholder="address">
            <input type="text" placeholder="commission(%)">
            <input type="submit" value="Submit"><br><br>
          </form>

          <form id="buy" onSubmit="InvestorApp.buy(); return false;">
            Buy an artwork:<br>
            <input type="text" placeholder="artworkId"><input type="submit" value="Submit"><br>
            (<i>You will be asked to pay the required amount + fees</i>)<br><br>
          </form>

          <form id="withdraw" onSubmit="MemberApp.withdraw(document.getElementById('withdraw')[0].value); return false;">
            Withdraw resale right funds (authorization required):<br>
            <input type="text" placeholder="address"><input type="submit" value="Submit"><br><br>
          </form>
          <hr/>
        </div>

        <form>
          <input type="button" id="artistsButton" value="Show artists" onclick="MemberApp.showArtists();">
          <input type="button" id="authenticatorsButton" value="Show authenticators" onclick="MemberApp.showAuthenticators();"><br>
          <input type="button" id="brokersButton" value="Show brokers" onclick="MemberApp.showBrokers();"><br>
          <input type="button" id="investorsButton" value="Show investors" onclick="MemberApp.showInvestors();"><br>
        </form>
        <div id="artists">
          <h3 class="text-center" id="titleTable">Registered artists:</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Address</th>
                <th scope="col">Name</th>
                <th scope="col">Email</th>                
              </tr>
            </thead>
            <tbody id="artistsList">
            </tbody>
          </table>
        </div>
        <div id="authenticators">
          <h3 class="text-center" id="titleTable">Registered authenticators:</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Address</th>
                <th scope="col">Name</th>
                <th scope="col">Email</th>
              </tr>
            </thead>
            <tbody id="authenticatorsList">
            </tbody>
          </table>
        </div>
        <div id="brokers">
          <h3 class="text-center" id="titleTable">Registered brokers:</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Address</th>
                <th scope="col">Name</th>
                <th scope="col">Email</th>
              </tr>
            </thead>
            <tbody id="brokersList">
            </tbody>
          </table>
        </div>
        <div id="investors">
          <h3 class="text-center" id="titleTable">Registered investors:</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Address</th>
                <th scope="col">Professional</th>
                <th scope="col">Email</th>
              </tr>
            </thead>
            <tbody id="investorsList">
            </tbody>
          </table>
        </div>
        <hr/>
        <p id="accountAddress" class="text-center"></p>
      </div>
    </div>

    <div class="modal fade" id="modalImg" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Image</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <img id="retrievedImg" width="400"/>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>
    <div class="modal fade" id="modalProposals" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Proposals</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div id="proposalsList">
            </div>
            <button type="button" class="btn btn-primary" id="registerAuthenticatedArtwork">Register artwork</button>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>

    
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/web3.min.js"></script>
    <script src="js/truffle-contract.js"></script>

    <script src="https://unpkg.com/ipfs/dist/index.js"></script>
    <script src="https://unpkg.com/ipfs-http-client/dist/index.js"></script>
    <script src="js/IPFS.js"></script>

    <script src="js/memberApp.js"></script>
    <script src="js/investorApp.js"></script>
  </body>
</html>